### Name: dbCommit-methods
### Title: DBMS Transaction Management
### Aliases: dbBeginTransaction dbBeginTransaction-methods dbCommit-methods
###   dbRollback-methods dbBeginTransaction,SQLiteConnection-method
###   dbCommit,SQLiteConnection-method dbRollback,SQLiteConnection-method
### Keywords: methods interface database

### ** Examples

drv <- dbDriver("SQLite")
tfile <- tempfile()
con <- dbConnect(drv, dbname = tfile)
data(USArrests)
dbWriteTable(con, "arrests", USArrests)
dbGetQuery(con, "select count(*) from arrests")[1, ]

dbBeginTransaction(con)
rs <- dbSendQuery(con, "DELETE from arrests WHERE Murder > 1")
dbGetQuery(con, "select count(*) from arrests")[1, ]
if (dbGetInfo(rs)[["rowsAffected"]] > 40)
  dbRollback(con)
dbGetQuery(con, "select count(*) from arrests")[1, ]

dbBeginTransaction(con)
rs <- dbSendQuery(con, "DELETE from arrests WHERE Murder > 5")
dbCommit(con)
dbGetQuery(con, "select count(*) from arrests")[1, ]

dbDisconnect(con)



